API Endpoint Reference / Print Jobs
Cancel an unclaimed queued print without a printer command
POST https://api.printhiv3d.com/v1/print-jobs/{id}/cancel-queued
Operation ID cancelQueuedPrintJob. Requires the control API key scope.
Parameters
| Name | In | Type | Required | Description |
|---|
id | path | integer | Yes | |
Responses
| Status | Description |
|---|
200 | Default Response |
403 | Default Response |
404 | Default Response |
409 | Default Response |
503 | Default Response |
200 response fields
| Field | Type | Required | Description |
|---|
jobId | integer | Yes | |
status | "CANCELLED" | Yes | |
403 response fields
| Field | Type | Required | Description |
|---|
error | string | Yes | |
code | string | No | |
message | string | No | |
requestId | string | No | |
404 response fields
| Field | Type | Required | Description |
|---|
error | "print_job_not_found" | "print_job_terminal" | "queued_cancel_conflict" | "queued_cancel_unavailable" | "stop_attempt_conflict" | "stop_identity_conflict" | "stop_job_terminal" | "stop_not_delivered" | "stop_not_ready" | "stop_receipt_not_found" | "stop_transport_unknown" | "stop_unavailable" | "stop_unsupported" | Yes | |
reason | string | Yes | |
message | string | Yes | |
jobStatus | string | null | No | |
printerFamily | string | null | No | |
409 response fields
| Field | Type | Required | Description |
|---|
error | "print_job_not_found" | "print_job_terminal" | "queued_cancel_conflict" | "queued_cancel_unavailable" | "stop_attempt_conflict" | "stop_identity_conflict" | "stop_job_terminal" | "stop_not_delivered" | "stop_not_ready" | "stop_receipt_not_found" | "stop_transport_unknown" | "stop_unavailable" | "stop_unsupported" | Yes | |
reason | string | Yes | |
message | string | Yes | |
jobStatus | string | null | No | |
printerFamily | string | null | No | |
503 response fields
| Field | Type | Required | Description |
|---|
error | "print_job_not_found" | "print_job_terminal" | "queued_cancel_conflict" | "queued_cancel_unavailable" | "stop_attempt_conflict" | "stop_identity_conflict" | "stop_job_terminal" | "stop_not_delivered" | "stop_not_ready" | "stop_receipt_not_found" | "stop_transport_unknown" | "stop_unavailable" | "stop_unsupported" | Yes | |
reason | string | Yes | |
message | string | Yes | |
jobStatus | string | null | No | |
printerFamily | string | null | No | |
Example 200 response
{
"jobId": 48213,
"status": "CANCELLED"
}